CVE-2019-10269

Priority
Description
BWA (aka Burrow-Wheeler Aligner) before 2019-01-23 has a stack-based buffer
overflow in the bns_restore function in bntseq.c via a long sequence name
in a .alt file.
Ubuntu-Description
It was discovered that Burrows-Wheeler Aligner (BWA) mishandled certain crafted
.alt files. An attacker could use this vulnerability to cause a denial
of service (crash) or possibly execute arbitrary code.
Package
Source: bwa (LP Ubuntu Debian)
Upstream:released (0.7.17-3)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was not-affected [code not present])
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):released (0.7.17-1ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):released (0.7.17-3~ubuntu0.19.04.1)
Ubuntu 19.10 (Eoan):not-affected (0.7.17-3)
More Information

Updated: 2019-09-19 14:50:14 UTC (commit d32ebc32606b9517c6fa7d65a15441e2a57a6de5)